POST api/bagapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
BagViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| bag_status_id | globally unique identifier |
Required |
|
| cleanroom_type_id | globally unique identifier |
Required |
|
| code | integer |
Required |
|
| date_hu | date |
None. |
|
| id | globally unique identifier |
None. |
|
| site_id | globally unique identifier |
Required |
|
| wash_count | integer |
None. |
|
| position | integer |
None. |
|
| pc_id | globally unique identifier |
None. |
Request Formats
application/json, text/json
Sample:
{
"active": true,
"bag_status_id": "04dca586-be5a-4707-b5f0-25275536931e",
"cleanroom_type_id": "2019f38c-bf72-4c97-9906-bdb5b517e33e",
"code": 3,
"date_hu": "2026-09-25T21:07:51.6165687+00:00",
"id": "27ecd159-4c5c-4ea7-a8f8-7cf316fe55e9",
"site_id": "967652cb-f39d-4d17-9dce-ebbeec3241fe",
"wash_count": 6,
"position": 1,
"pc_id": "097ba8d0-5e19-4ba3-8b55-939f4c85777e"
}
application/xml, text/xml
Sample:
<bag xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <bag_status_id>04dca586-be5a-4707-b5f0-25275536931e</bag_status_id> <cleanroom_type_id>2019f38c-bf72-4c97-9906-bdb5b517e33e</cleanroom_type_id> <code>3</code> <date_hu>2026-09-25T21:07:51.6165687+00:00</date_hu> <id>27ecd159-4c5c-4ea7-a8f8-7cf316fe55e9</id> <pc_id>097ba8d0-5e19-4ba3-8b55-939f4c85777e</pc_id> <position>1</position> <site_id>967652cb-f39d-4d17-9dce-ebbeec3241fe</site_id> <wash_count>6</wash_count> </bag>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"0ba22a99-0a46-47f6-a871-84057e61d927"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">0ba22a99-0a46-47f6-a871-84057e61d927</guid>